﻿# Anbennar - racial stuff

# group = this is the law_group a law belongs to
# icon = graphical icon shown in-game
# modifier = {} modifier on country for having adopted this law
# cultural_acceptance_rule and religious_acceptance_rule are triggers called in culture scope with scope:country as the country with the laws

law_ethnostate = {
	group = lawgroup_citizenship
	
	icon = "gfx/interface/icons/law_icons/ethnostate.dds"
	
	progressiveness = -75
	
	on_enact = {
		recalculate_pop_ig_support = yes
	}
	
	cultural_acceptance_rule = {
		is_primary_culture_of = scope:country
	}

	unlocking_technologies = {
		nationalism
	}
	
	modifier = {
		country_authority_add = 200
		state_radicals_from_sol_change_accepted_culture_mult = -0.2
		state_loyalists_from_sol_change_accepted_culture_mult = 0.2			
	}
	
	possible_political_movements = {
		law_racial_segregation
		law_cultural_exclusion
	}

	pop_support = {
		value = 0
	}

	on_impose = { 
			
	} 

	ai_enact_weight_modifier = { #Petitions
		value = 0
		
		if = {
			limit = { 
				has_journal_entry = je_government_petition
				has_variable = desired_law_var
                scope:law = var:desired_law_var
			}
			add = 750
		}
	}
}

law_national_supremacy = {
	group = lawgroup_citizenship
	
	icon = "gfx/interface/icons/law_icons/national_supremacy.dds"
	
	progressiveness = -25
	
	on_enact = {
		recalculate_pop_ig_support = yes
	}
	
	cultural_acceptance_rule = {
		AND = {
			shares_heritage_trait_with_any_primary_culture = scope:country
			shares_non_heritage_trait_with_any_primary_culture = scope:country
		}
		#Anbennar
		cultural_race_accepted = {
			COUNTRY = scope:country
		}
	}
	
	modifier = {
		country_authority_add = 150
		state_radicals_from_sol_change_accepted_culture_mult = -0.15
		state_loyalists_from_sol_change_accepted_culture_mult = 0.15			
	}
	
	possible_political_movements = {
		law_racial_segregation
		law_cultural_exclusion
	}

	pop_support = {
		value = 0
	}

	on_impose = { 
			
	} 

	ai_enact_weight_modifier = { #Petitions
		value = 0
		
		if = {
			limit = { 
				has_journal_entry = je_government_petition
				has_variable = desired_law_var
                scope:law = var:desired_law_var
			}
			add = 750
		}
	}
}

law_racial_segregation = {
	group = lawgroup_citizenship
	
	icon = "gfx/interface/icons/law_icons/racial_segregation.dds"
	
	progressiveness = 0
	
	on_enact = {
		recalculate_pop_ig_support = yes
	}

	cultural_acceptance_rule = {
		shares_heritage_trait_with_any_primary_culture = scope:country
		#Anbennar
		cultural_race_accepted = {
			COUNTRY = scope:country
		}
	}
	
	modifier = {
		country_authority_add = 100
		state_radicals_from_sol_change_accepted_culture_mult = -0.1
		state_loyalists_from_sol_change_accepted_culture_mult = 0.1		
	}
	
	possible_political_movements = {
		law_national_supremacy
		law_cultural_exclusion
	}
	
	pop_support = {
		value = 0
		
		add = {
			desc = "POP_DISCRIMINATED"
			if = {
				limit = { 
					culture_accepted = no
					owner = { has_law = law_type:law_national_supremacy }

					#Anbennar, only push for cultural acceptance once you have racial acceptance
					pop_race_accepted = {
						COUNTRY = owner
					}
				}
				add = 0.5
				
				if = {
					limit = { 
						standard_of_living <= 10

						#Anbennar, only push for cultural acceptance once you have racial acceptance
						pop_race_accepted = {
							COUNTRY = owner
						}
					}
					add = 0.5
				}	
			}			
		}
	}

	on_impose = { 
			
	} 

	ai_enact_weight_modifier = { #Petitions
		value = 0
		
		if = {
			limit = { 
				has_journal_entry = je_government_petition
				has_variable = desired_law_var
                scope:law = var:desired_law_var
			}
			add = 750
		}
	}
}

law_cultural_exclusion = {
	group = lawgroup_citizenship
	
	icon = "gfx/interface/icons/law_icons/cultural_exclusion.dds"
	
	progressiveness = 25
	
	unlocking_laws = {
		law_slavery_banned
		law_debt_slavery
	}
	
	on_enact = {
		recalculate_pop_ig_support = yes
	}

	cultural_acceptance_rule = {
		shares_trait_with_any_primary_culture = scope:country
		#Anbennar
		cultural_race_accepted = {
			COUNTRY = scope:country
		}
	}
	
	modifier = {
		country_authority_add = 50
		state_radicals_from_sol_change_accepted_culture_mult = -0.05
		state_loyalists_from_sol_change_accepted_culture_mult = 0.05		
	}
	
	possible_political_movements = {
		law_racial_segregation
		law_multicultural
	}
	
	pop_support = {
		value = 0
		
		add = {
			desc = "POP_DISCRIMINATED"
			if = {
				limit = {
					#Anbennar, only push for cultural acceptance once you have racial acceptance
					pop_race_accepted = {
						COUNTRY = owner
					}				
					culture_accepted = no
					owner = { NOT = { has_law = law_type:law_multicultural } }
				}
				add = 0.5			
			}
			if = {
				limit = { 
					#Anbennar, only push for cultural acceptance once you have racial acceptance
					pop_race_accepted = {
						COUNTRY = owner
					}
					culture_accepted = no
					owner = { NOT = { has_law = law_type:law_multicultural } }
				}
				add = 0.5				
				
				if = {
					limit = { 
						standard_of_living <= 10
					}
					add = 0.5
				}	
			}			
		}
	}

	on_impose = { 
			
	} 

	ai_enact_weight_modifier = { #Petitions
		value = 0
		
		if = {
			limit = { 
				has_journal_entry = je_government_petition
				has_variable = desired_law_var
                scope:law = var:desired_law_var
			}
			add = 750
		}
	}
}

law_multicultural = {
	group = lawgroup_citizenship
	
	icon = "gfx/interface/icons/law_icons/multicultural.dds"
	
	progressiveness = 75

	unlocking_laws = {
		law_slavery_banned
	}
	
	unlocking_technologies = {
		human_rights
	}
	
	on_enact = {
		recalculate_pop_ig_support = yes
	}

	cultural_acceptance_rule = {
		#Anbennar
		cultural_race_accepted = {
			COUNTRY = scope:country
		}
	}
	
	possible_political_movements = {
		law_cultural_exclusion
	}
	
	pop_support = {
		value = 0
		
		add = {
			desc = "POP_DISCRIMINATED"
			if = {
				limit = { 
					culture_accepted = no
				}
				add = 0.5
				
				if = {
					limit = { 
						standard_of_living <= 10
					}
					add = 0.5
				}	
			}			
		}
	}

	on_impose = { 
			
	} 

	ai_enact_weight_modifier = { #Petitions
		value = 0
		
		if = {
			limit = { 
				has_journal_entry = je_government_petition
				has_variable = desired_law_var
                scope:law = var:desired_law_var
			}
			add = 750
		}
	}
}
